<?php

/**
 * Test: Nette_MicroPresenter
 *
 * @author     Filip Procházka
 * @package    Nette\Application\UI
 */



require dirname(__FILE__) . '/../bootstrap.php';



class Invokable extends Object
{
	public function __invoke($page, $id)
	{
		Notes::add('Callback id ' . $id . ' page ' . $page);
	}
}


$container = id(new Configurator)->setTempDirectory(TEMP_DIR)->createContainer();

$presenter = new Nette_MicroPresenter($container);


$presenter->run(new PresenterRequest('Nette:Micro', 'GET', array(
	'callback' => create_function('$id, $page', '
		Notes::add(\'Callback id \' . $id . \' page \' . $page);
	'),
	'id' => 1,
	'page' => 2,
)));
Assert::same(array(
	'Callback id 1 page 2'
), Notes::fetch());


$presenter->run(new PresenterRequest('Nette:Micro', 'GET', array(
	'callback' => new Invokable(),
	'id' => 1,
	'page' => 2,
)));
Assert::same(array(
	'Callback id 1 page 2'
), Notes::fetch());
