<?php

/**
 * Test: DIContainer errors usage.
 *
 * @author     David Grudl
 * @package    Nette\DI
 */



require dirname(__FILE__) . '/../bootstrap.php';



$service = new stdClass;
$container = new DIContainer;

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('container'=>$container,'service'=> $service)).'-1], EXTR_REFS);
	$container->addService(NULL, $service);
'), 'InvalidArgumentException', 'Service name must be a non-empty string, NULL given.');

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('container'=>$container)).'-1], EXTR_REFS);
	$container->addService(\'one\', NULL);
'), 'InvalidArgumentException', 'Invalid callback.');

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('container'=>$container)).'-1], EXTR_REFS);
	$container->getService(\'one\');
'), 'MissingServiceException', "Service 'one' not found.");

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('container'=>$container,'service'=> $service)).'-1], EXTR_REFS);
	$container->addService(\'one\', $service);
	$container->addService(\'one\', $service);
'), 'InvalidStateException', "Service 'one' has already been registered.");

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('container'=>$container,'service'=> $service)).'-1], EXTR_REFS);
	$container->freeze();
	$container->addService(\'two\', $service);
'), 'InvalidStateException', 'Cannot modify a frozen object DIContainer.');
