<?php

/**
 * Test: DIContainer static usage.
 *
 * @author     David Grudl
 * @package    Nette\DI
 */



require dirname(__FILE__) . '/../bootstrap.php';



class MyContainer extends DIContainer
{

	protected function createServiceOne()
	{
		return new stdClass;
	}

	protected function createServiceTwo()
	{
	}

}



$container = new MyContainer;

Assert::true( $container->hasService('one') );
Assert::false( $container->hasService('undefined') );

Assert::true( $container->getService('one') instanceof stdClass );
Assert::same( $container->getService('one'), $container->getService('one') ); // shared


// bad method
Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('container'=>$container)).'-1], EXTR_REFS);
	$container->getService(\'two\');
'), 'UnexpectedValueException', "Unable to create service 'two', value returned by factory 'createServiceTwo' is not object.");
