<?php

/**
 * Test: DIContainerBuilder and Container: getByType()
 *
 * @author     David Grudl
 * @package    Nette\DI
 */



require dirname(__FILE__) . '/../bootstrap.php';



class Service extends Object
{
}

class Service2 extends Object
{
}


$builder = new DIContainerBuilder;
$builder->addDefinition('one')
	->setClass('Service');
$builder->addDefinition('two')
	->setClass('Service2');


// compile-time
$builder->prepareClassList();

Assert::same( 'one', $builder->getByType('service') );
Assert::same( NULL, $builder->getByType('unknown') );
Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('builder'=>$builder)).'-1], EXTR_REFS);
	$builder->getByType(\'Object\');
'), 'ServiceCreationException', 'Multiple services of type Object found: one, two');


// run-time
$code = (string) $builder->generateClass();
file_put_contents(TEMP_DIR . '/code.php', "<?php\n$code");
require TEMP_DIR . '/code.php';

$container = new Container;

Assert::true( $container->getByType('service') instanceof Service );
Assert::same( NULL, $container->getByType('unknown', FALSE) );

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('container'=>$container)).'-1], EXTR_REFS);
	$container->getByType(\'unknown\');
'), 'MissingServiceException', 'Service of type unknown not found.');

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('container'=>$container)).'-1], EXTR_REFS);
	$container->getByType(\'Object\');
'), 'MissingServiceException', 'Multiple services of type Object found.');
