<?php

/**
 * Test: Database test boostap.
 *
 * @author     Jakub Vrana
 * @author     Jan Skrasek
 * @package    Nette\Database
 */

require dirname(__FILE__) . '/../bootstrap.php';


if (!is_file(dirname(__FILE__) . '/databases.ini')) {
	TesterHelpers::skip();
}

$options = TesterDataProvider::load('databases.ini', isset($query) ? $query : NULL);
$options = isset($_SERVER['argv'][1]) ? $options[$_SERVER['argv'][1]] : reset($options);

try {
	$connection = new Connection($options['dsn'], $options['user'], $options['password']);
} catch (PDOException $e) {
	TesterHelpers::skip("Connection to '$options[dsn]' failed. Reason: " . $e->getMessage());
}

TesterHelpers::lock($options['dsn'], dirname(TEMP_DIR));
$driverName = $connection->getAttribute(PDO::ATTR_DRIVER_NAME);
