<?php

/**
 * Test: Debugger::barDump() with showLocation.
 *
 * @author     David Grudl
 * @package    Nette\Diagnostics
 */



require dirname(__FILE__) . '/../bootstrap.php';



Debugger::$consoleMode = FALSE;
Debugger::$productionMode = FALSE;
Debugger::$showLocation = TRUE;
header('Content-Type: text/html');

Debugger::enable();

register_shutdown_function(create_function('', '
	preg_match(\'#debug.innerHTML = (".*");#\', ob_get_clean(), $m);
	Assert::match(<<<EOD
%A%<h1>Dumped variables</h1>

<div class="nette-inner nette-DumpPanel">

	<table>
			<tr class="">
		<th></th>
		<td><pre class="nette-dump"><span class="php-string">"value"</span> (5)
</pre></td>
	</tr>
		</table>
</div>
%A%
EOD
, json_decode($m[1]));
'));
ob_start();


Debugger::barDump('value');
