<?php

/**
 * Test: UIMacros {ifset #block}
 *
 * @author     David Grudl
 * @package    Nette\Latte
 */



require dirname(__FILE__) . '/../bootstrap.php';


$compiler = new LatteCompiler;
UIMacros::install($compiler);

// {ifset ... }
Assert::same( '<?php if (isset($_l->blocks["block"])): ?>',  $compiler->expandMacro('ifset', '#block')->openingCode );
Assert::same( '<?php if (isset($item->var["#test"], $_l->blocks["block"])): ?>',  $compiler->expandMacro('ifset', '$item->var["#test"], #block')->openingCode );

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('compiler'=>$compiler)).'-1], EXTR_REFS);
	Assert::same( \'<?php if (isset($var)): ?>\',  $compiler->expandMacro(\'ifset\', \'$var\')->openingCode );
'), 'CompileException', 'Unhandled macro {ifset}');
