<?php

/**
 * Test: Mail invalid headers.
 *
 * @author     David Grudl
 * @package    Nette\Mail
 */



require dirname(__FILE__) . '/../bootstrap.php';

require dirname(__FILE__) . '/Mail.inc';



$mail = new Mail();

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('mail'=>$mail)).'-1], EXTR_REFS);
	$mail->setHeader(\'\', \'value\');
'), 'InvalidArgumentException', "Header name must be non-empty alphanumeric string, '' given.");

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('mail'=>$mail)).'-1], EXTR_REFS);
	$mail->setHeader(\' name\', \'value\');
'), 'InvalidArgumentException', "Header name must be non-empty alphanumeric string, ' name' given.");

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('mail'=>$mail)).'-1], EXTR_REFS);
	$mail->setHeader(\'n*ame\', \'value\');
'), 'InvalidArgumentException', "Header name must be non-empty alphanumeric string, 'n*ame' given.");
