<?php

/**
 * Test: Permission Ensures that removal of all Roles results in Role-specific rules being removed.
 *
 * @author     David Grudl
 * @package    Nette\Security
 */



require dirname(__FILE__) . '/../bootstrap.php';



$acl = new Permission;
$acl->addRole('guest');
$acl->allow('guest');
Assert::true( $acl->isAllowed('guest') );
$acl->removeAllRoles();
Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('acl'=>$acl)).'-1], EXTR_REFS);
	$acl->isAllowed(\'guest\');
'), 'InvalidStateException', "Role 'guest' does not exist.");

$acl->addRole('guest');
Assert::false( $acl->isAllowed('guest') );
