<?php

/**
 * Test initialization and helpers.
 *
 * @author     David Grudl
 * @package    Nette\Test
 */


if (@!include dirname(__FILE__) . '/../../tools/Tester/Tester/bootstrap.php') {
	echo 'Install Nette Tester using `composer update --dev`';
	exit(1);
}


// configure environment
require dirname(__FILE__) . '/../../Nette/loader.php';
date_default_timezone_set('Europe/Prague');


// create temporary directory
define('TEMP_DIR', dirname(__FILE__) . '/../tmp/' . (isset($_SERVER['argv']) ? md5(serialize($_SERVER['argv'])) : getmypid()));
TesterHelpers::purge(TEMP_DIR);


$_SERVER = array_intersect_key($_SERVER, array_flip(array('PHP_SELF', 'SCRIPT_NAME', 'SERVER_ADDR', 'SERVER_SOFTWARE', 'HTTP_HOST', 'DOCUMENT_ROOT', 'OS', 'argc', 'argv')));
$_SERVER['REQUEST_TIME'] = 1234567890;
$_ENV = $_GET = $_POST = array();


if (extension_loaded('xdebug')) {
	xdebug_disable();
	TesterCollector::start(dirname(__FILE__) . '/coverage.dat');
}


function id($val) {
	return $val;
}


class Notes
{
	static public $notes = array();

	public static function add($message)
	{
		self::$notes[] = $message;
	}

	public static function fetch()
	{
		$res = self::$notes;
		self::$notes = array();
		return $res;
	}

}
